import request from '@/utils/request'

// 查询公告模块列表
export function listLzyd_notice(query) {
  return request({
    url: '/system/lzyd_notice/list',
    method: 'get',
    params: query
  })
}

// 查询公告模块详细
export function getLzyd_notice(id) {
  return request({
    url: '/system/lzyd_notice/' + id,
    method: 'get'
  })
}

// 新增公告模块
export function addLzyd_notice(data) {
  return request({
    url: '/system/lzyd_notice',
    method: 'post',
    data: data
  })
}

// 修改公告模块
export function updateLzyd_notice(data) {
  return request({
    url: '/system/lzyd_notice',
    method: 'put',
    data: data
  })
}

// 删除公告模块
export function delLzyd_notice(id) {
  return request({
    url: '/system/lzyd_notice/' + id,
    method: 'delete'
  })
}

// 导出公告模块
export function exportLzyd_notice(query) {
  return request({
    url: '/system/lzyd_notice/export',
    method: 'get',
    params: query
  })
}